// pages/cultureDetail/cultureDetail.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    libraryUrl: app.libraryUrl,
    swiper: {
      imgUrl: [],
      indicatorDots: false,
      autoplay: true,
      current: 0
    },
    library: null,
    libraryPersonList: []
  },
  prevImg: function () {
    var swiper = this.data.swiper;
    var current = swiper.current;
    swiper.current = current > 0 ? current - 1 : swiper.imgUrl.length - 1;
    this.setData({
      swiper: swiper,
    })
  },
  nextImg: function() {
    var swiper = this.data.swiper;
    var current = swiper.current;
    swiper.current = current < (swiper.imgUrl.length - 1) ? current + 1 : 0;
    this.setData({
      swiper: swiper,
    })
  },
  doGetLibrary: function(libraryId) {
    var self = this;
    app.dialog.loading('正在加载');
    app.restAjax.get(app.restAjax.path('{libraryUrl}/app/intangiblelibrary/getintangiblelibrarybyidrelease/{libraryId}', [self.data.libraryUrl, libraryId]), {}, null, function(code, data) {
      var covers = data.libraryCover.split(',');
      var imageArray = [];
      for(var i = 0, item; item = covers[i++];) {
        imageArray.push(app.restAjax.path('{libraryUrl}/route/file/downloadfile/true/{cover}', [self.data.libraryUrl, item]));
      }
      self.setData({
        library: data,
        'swiper.imgUrl': imageArray
      });
    }, function(code, data) {
      app.dialog.msg(data.msg);
    }, function() {
      wx.stopPullDownRefresh();
      wx.hideLoading();
    })
  },
  doGetLibraryPerson: function(libraryId) {
    var self = this;
    app.restAjax.get(app.restAjax.path('{libraryUrl}/app/intangiblelibraryperson/listintangiblelibrarypersonrelease', [self.data.libraryUrl]), {
      id: libraryId
    }, null, function(code, data) {
      self.setData({
        libraryPersonList: data
      })
    }, function(code, data) {
      app.dialog.msg(data.msg);
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var libraryId = options.libraryId
    this.doGetLibrary(libraryId);
    this.doGetLibraryPerson(libraryId)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})